<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/ll_placeholder"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

<!--    <androidx.constraintlayout.widget.ConstraintLayout-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content">-->

<!--        <LinearLayout-->
<!--            android:id="@+id/ll_view_home_banner"-->
<!--            android:layout_width="match_parent"-->
<!--            android:layout_height="0dp"-->
<!--            android:background="@drawable/item_merchants_bg"-->
<!--            android:orientation="horizontal"-->
<!--            app:layout_constraintDimensionRatio="H,750:320"-->
<!--            tools:ignore="MissingConstraints">-->

<!--        </LinearLayout>-->

<!--    </androidx.constraintlayout.widget.ConstraintLayout>-->

<!--    <View-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="@dimen/d_10dp"-->
<!--        android:background="@color/shimmer_background_color"-->
<!--        app:layout_constraintTop_toBottomOf="@id/ll_view_home_banner" />-->

<!--    <com.android.basiclib.view.shimmer.ShimmerLayout-->
<!--        android:id="@+id/shimmer_layout"-->
<!--        android:layout_width="match_parent"-->
<!--        android:layout_height="wrap_content"-->
<!--        android:tag="shimmer_layout">-->

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_10dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_40dp"
                    android:background="@color/shimmer_background_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="@dimen/d_90dp"
                        android:layout_height="@dimen/d_60dp"
                        android:background="@color/shimmer_background_color" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_80dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_40dp"
                    android:background="@color/shimmer_background_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="@dimen/d_90dp"
                        android:layout_height="@dimen/d_60dp"
                        android:background="@color/shimmer_background_color" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_80dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_40dp"
                    android:background="@color/shimmer_background_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="@dimen/d_90dp"
                        android:layout_height="@dimen/d_60dp"
                        android:background="@color/shimmer_background_color" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_80dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_40dp"
                    android:background="@color/shimmer_background_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="@dimen/d_90dp"
                        android:layout_height="@dimen/d_60dp"
                        android:background="@color/shimmer_background_color" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_80dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginLeft="@dimen/d_10dp"
                android:layout_marginTop="@dimen/d_20dp"
                android:layout_marginRight="@dimen/d_10dp"
                android:orientation="vertical">

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_40dp"
                    android:background="@color/shimmer_background_color" />

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:orientation="horizontal">

                    <View
                        android:layout_width="@dimen/d_90dp"
                        android:layout_height="@dimen/d_60dp"
                        android:background="@color/shimmer_background_color" />

                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                    <LinearLayout
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_gravity="center"
                        android:layout_marginLeft="@dimen/d_20dp"
                        android:layout_marginRight="@dimen/d_10dp"
                        android:gravity="center"
                        android:orientation="vertical">

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                        <View
                            android:layout_width="100dp"
                            android:layout_height="@dimen/d_20dp"
                            android:layout_marginLeft="@dimen/d_10dp"
                            android:layout_marginTop="@dimen/d_10dp"
                            android:background="@color/shimmer_background_color" />

                    </LinearLayout>


                </LinearLayout>

                <View
                    android:layout_width="match_parent"
                    android:layout_height="@dimen/d_20dp"
                    android:layout_marginTop="@dimen/d_10dp"
                    android:layout_marginRight="@dimen/d_80dp"
                    android:background="@color/shimmer_background_color" />

            </LinearLayout>

        </LinearLayout>

<!--    </com.android.basiclib.view.shimmer.ShimmerLayout>-->


</LinearLayout>